#include "reset.h"
#include "state.h"
#include "display.h"
#include "Config.h"
#include "screen/reset.h"

const char* ResetMenuItem::getTitle()
{
  return UniqueString("Reset");
}


const char* ResetMenuItem::getValue()
{
  return nullptr;
}


void ResetMenuItem::execute(ScreenManager* screenManager, uint32_t currentTime)
{
  SetExposureTime(DefaultExposureTime);
  SetExposureIntensity(DefaultExposureIntensity);
  SetBuzzer(BuzzerSetting::CompletedButtonStartup);
  SaveSettings();

  screenManager->show<ResetScreen>();
}
